ubuntu/+source/libgcrypt20:applied/ubuntu/focal-devel

Last commit made on 2019-10-19
Get this branch:
git clone -b applied/ubuntu/focal-devel https://git.launchpad.net/ubuntu/+source/libgcrypt20
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/focal-devel
Repository:
lp:ubuntu/+source/libgcrypt20

Recent commits

ae73692... by Steve Langasek on 2019-10-18

Import patches-applied version 1.8.5-3ubuntu1 to applied/ubuntu/focal-proposed

Imported using git-ubuntu import.

Changelog parent: de2a35b0f45560ee4dcd24449bc7efc070168e59
Unapplied parent: 4da90812806d76f0de7fb35e293b48c3b3ea4255

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
  * Dropped changes, included in Debian:
    - Build-depend on texlive-plain-generic instead of obsolete texlive-
      generic-recommended.

4da9081... by Steve Langasek on 2019-10-18

Disable libgcrypt reading /proc/sys/crypto/fips_enabled

Gbp-Pq: disable_fips_enabled_read.patch.

5f9b8fe... by Steve Langasek on 2019-10-18

Do not pull revision info from GIT

Gbp-Pq: 25_norevisionfromgit.diff.

db608bb... by Steve Langasek on 2019-10-18

Do not print standard multiarch path

Gbp-Pq: 15_multiarchpath_in_-L.diff.

b69433e... by Steve Langasek on 2019-10-18

Do not link against unneeded libraries

Gbp-Pq: 13_lessdeps_libgcrypt-pkgconfig.diff.

36f8ea1... by Steve Langasek on 2019-10-18

Drop -lgpg-error from libgcrypt-config --libs output.

Gbp-Pq: 12_lessdeps_libgcrypt-config.diff.

2dd9ab6... by Steve Langasek on 2019-10-18

Import patches-unapplied version 1.8.5-3ubuntu1 to ubuntu/focal-proposed

Imported using git-ubuntu import.

Changelog parent: f8f8380c494fbcecceb19fdd217c2c7f5b5b3992

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - Disable the library reading /proc/sys/crypto/fips_enabled file
      and going into FIPS mode. libgcrypt is not a FIPS certified library.
      (LP 1748310)
  * Dropped changes, included in Debian:
    - Build-depend on texlive-plain-generic instead of obsolete texlive-
      generic-recommended.

de2a35b... by Andreas Metzler <email address hidden> on 2019-10-02

Import patches-applied version 1.8.5-3 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: 845bb03adba21e1a7aa92c2b5187ec516058ec0e
Unapplied parent: b856cafc87ef7a908b2149bbeb17adc2986ea4b9

New changelog entries:
  * Switch b-d from texlive-generic-recommended to texlive-plain-generic.
    Closes: #941536

f8f8380... by Andreas Metzler <email address hidden> on 2019-10-02

Import patches-unapplied version 1.8.5-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 2d3d28dd7ca9349d9911a68591798b27d50c9889

New changelog entries:
  * Switch b-d from texlive-generic-recommended to texlive-plain-generic.
    Closes: #941536

b856caf... by Andreas Metzler <email address hidden> on 2019-10-02

Do not pull revision info from GIT

Gbp-Pq: 25_norevisionfromgit.diff.